window.Gleam.initSearch([{"doc":"glorage","title":"glorage","content":"# glorage\n\n[![Package Version](https://img.shields.io/hexpm/v/glorage)](https://hex.pm/packages/glorage)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glorage/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-a2003e)\n![JavaScript-compatible](https://img.shields.io/badge/target-javascript-f1e05a)\n\nGleam thread local storage\n\n```sh\ngleam add glorage\n```\n```gleam\nimport glorage\n\npub fn main() {\n  use &lt;- glorage.run // init thread local storage\n\n  inc(1) // 2\n\n  inc(7) // 2, because it&#39;s cached inside thread local storage\n\n  use n &lt;- glorage.with(inc) // ability to get thread local storage cached value, n is 2\n}\n\nfn inc(n) {\n  use &lt;- glorage.once(inc) // make function cachable inside thread local storage\n  n + 1\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glorage&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"glorage","title":"once","content":"pub fn once(fun: a, cb: fn() -&gt; b) -&gt; b\n\nSynonyms:\nglorage.once\nglorage once","url":"glorage.html#once"},{"doc":"glorage","title":"run","content":"pub fn run(cb: fn() -&gt; a) -&gt; a\n\nSynonyms:\nglorage.run\nglorage run","url":"glorage.html#run"},{"doc":"glorage","title":"with","content":"pub fn with(fun: fn(a) -&gt; b, cb: fn(b) -&gt; c) -&gt; c\n\nSynonyms:\nglorage.with\nglorage with","url":"glorage.html#with"},{"doc":"glorage","title":"glorage","content":"","url":"glorage.html"}]);